use rocket::fairing::AdHoc;

mod volume;
mod node;
mod system;

pub(super) fn init() -> AdHoc {
    AdHoc::on_ignite("Registering routes", |rocket| async {
        rocket.attach(volume::init())
            .attach(node::init())
            .attach(system::init())
    })
}
